From 9b8b580c718930d5011f536a14202870a4d06000 Mon Sep 17 00:00:00 2001
From: Justin Searls <searls@gmail.com>
Date: Sun, 7 May 2023 12:29:10 +0900
Subject: [PATCH] update to quibble@0.7.0 to add node 20 support

---
 CHANGELOG.md                           |  8 ++++++
 examples/babel/package-lock.json       |  4 +--
 examples/jest-broken/package-lock.json |  4 +--
 examples/jest/package-lock.json        |  4 +--
 examples/node-ava/package-lock.json    |  4 +--
 examples/node-esm/package-lock.json    |  4 +--
 examples/node/package-lock.json        |  4 +--
 package-lock.json                      | 39 +++++++++++++++++++++-----
 package.json                           |  2 +-
 test/safe-esm/replace.test.js          |  2 +-
 10 files changed, 54 insertions(+), 21 deletions(-)

diff --git a/CHANGELOG.md b/CHANGELOG.md
index 81881137..6b477c0a 100644
--- a/CHANGELOG.md
+++ b/CHANGELOG.md
@@ -1,5 +1,13 @@
 # Change Log
 
+## 3.18.0
+
+* Update quibble to 0.7.0 for Node 20 support
+  [quibble#96](https://github.com/testdouble/quibble/pull/96). Bumping minor for
+  test double because it's a big change to how modules are resolved
+* Update typings for version property
+  [#515](https://github.com/testdouble/testdouble.js/pull/515)
+
 ## 3.17.2
 
 * Loosen typing file to allow non-Error types to be rejected
diff --git a/examples/babel/package-lock.json b/examples/babel/package-lock.json
index 53f1a5cb..28973c94 100644
--- a/examples/babel/package-lock.json
+++ b/examples/babel/package-lock.json
@@ -20,7 +20,7 @@
       "license": "MIT",
       "dependencies": {
         "lodash": "^4.17.21",
-        "quibble": "^0.6.17",
+        "quibble": "^0.7.0",
         "stringify-object-es5": "^2.5.0",
         "theredoc": "^1.0.0"
       },
@@ -12562,7 +12562,7 @@
         "mkdirp": "^2.1.3",
         "npm-run-all": "^4.1.5",
         "nyc": "^15.1.0",
-        "quibble": "^0.6.17",
+        "quibble": "^0.7.0",
         "rimraf": "^4.1.2",
         "standard": "^17.0.0",
         "stringify-object-es5": "^2.5.0",
diff --git a/examples/jest-broken/package-lock.json b/examples/jest-broken/package-lock.json
index e4b61757..64d85a8e 100644
--- a/examples/jest-broken/package-lock.json
+++ b/examples/jest-broken/package-lock.json
@@ -21,7 +21,7 @@
       "license": "MIT",
       "dependencies": {
         "lodash": "^4.17.21",
-        "quibble": "^0.6.17",
+        "quibble": "^0.7.0",
         "stringify-object-es5": "^2.5.0",
         "theredoc": "^1.0.0"
       },
@@ -10059,7 +10059,7 @@
         "mkdirp": "^2.1.3",
         "npm-run-all": "^4.1.5",
         "nyc": "^15.1.0",
-        "quibble": "^0.6.17",
+        "quibble": "^0.7.0",
         "rimraf": "^4.1.2",
         "standard": "^17.0.0",
         "stringify-object-es5": "^2.5.0",
diff --git a/examples/jest/package-lock.json b/examples/jest/package-lock.json
index 909098d7..1cede0ce 100644
--- a/examples/jest/package-lock.json
+++ b/examples/jest/package-lock.json
@@ -21,7 +21,7 @@
       "license": "MIT",
       "dependencies": {
         "lodash": "^4.17.21",
-        "quibble": "^0.6.17",
+        "quibble": "^0.7.0",
         "stringify-object-es5": "^2.5.0",
         "theredoc": "^1.0.0"
       },
@@ -10059,7 +10059,7 @@
         "mkdirp": "^2.1.3",
         "npm-run-all": "^4.1.5",
         "nyc": "^15.1.0",
-        "quibble": "^0.6.17",
+        "quibble": "^0.7.0",
         "rimraf": "^4.1.2",
         "standard": "^17.0.0",
         "stringify-object-es5": "^2.5.0",
diff --git a/examples/node-ava/package-lock.json b/examples/node-ava/package-lock.json
index 9bef521a..50389251 100644
--- a/examples/node-ava/package-lock.json
+++ b/examples/node-ava/package-lock.json
@@ -19,7 +19,7 @@
       "license": "MIT",
       "dependencies": {
         "lodash": "^4.17.21",
-        "quibble": "^0.6.17",
+        "quibble": "^0.7.0",
         "stringify-object-es5": "^2.5.0",
         "theredoc": "^1.0.0"
       },
@@ -13046,7 +13046,7 @@
         "mkdirp": "^2.1.3",
         "npm-run-all": "^4.1.5",
         "nyc": "^15.1.0",
-        "quibble": "^0.6.17",
+        "quibble": "^0.7.0",
         "rimraf": "^4.1.2",
         "standard": "^17.0.0",
         "stringify-object-es5": "^2.5.0",
diff --git a/examples/node-esm/package-lock.json b/examples/node-esm/package-lock.json
index 4ca186de..53426766 100644
--- a/examples/node-esm/package-lock.json
+++ b/examples/node-esm/package-lock.json
@@ -19,7 +19,7 @@
       "license": "MIT",
       "dependencies": {
         "lodash": "^4.17.21",
-        "quibble": "^0.6.17",
+        "quibble": "^0.7.0",
         "stringify-object-es5": "^2.5.0",
         "theredoc": "^1.0.0"
       },
@@ -10552,7 +10552,7 @@
         "mkdirp": "^2.1.3",
         "npm-run-all": "^4.1.5",
         "nyc": "^15.1.0",
-        "quibble": "^0.6.17",
+        "quibble": "^0.7.0",
         "rimraf": "^4.1.2",
         "standard": "^17.0.0",
         "stringify-object-es5": "^2.5.0",
diff --git a/examples/node/package-lock.json b/examples/node/package-lock.json
index 0306975d..7a851915 100644
--- a/examples/node/package-lock.json
+++ b/examples/node/package-lock.json
@@ -20,7 +20,7 @@
       "license": "MIT",
       "dependencies": {
         "lodash": "^4.17.21",
-        "quibble": "^0.6.17",
+        "quibble": "^0.7.0",
         "stringify-object-es5": "^2.5.0",
         "theredoc": "^1.0.0"
       },
@@ -8563,7 +8563,7 @@
         "mkdirp": "^2.1.3",
         "npm-run-all": "^4.1.5",
         "nyc": "^15.1.0",
-        "quibble": "^0.6.17",
+        "quibble": "^0.7.0",
         "rimraf": "^4.1.2",
         "standard": "^17.0.0",
         "stringify-object-es5": "^2.5.0",
diff --git a/package-lock.json b/package-lock.json
index 1f2c0b89..634a1e29 100644
--- a/package-lock.json
+++ b/package-lock.json
@@ -10,7 +10,7 @@
       "license": "MIT",
       "dependencies": {
         "lodash": "^4.17.21",
-        "quibble": "^0.6.17",
+        "quibble": "^0.7.0",
         "stringify-object-es5": "^2.5.0",
         "theredoc": "^1.0.0"
       },
@@ -5461,9 +5461,9 @@
       ]
     },
     "node_modules/quibble": {
-      "version": "0.6.17",
-      "resolved": "https://registry.npmjs.org/quibble/-/quibble-0.6.17.tgz",
-      "integrity": "sha512-uybGnGrx1hAhBCmzmVny+ycKaS5F71+q+iWVzbf8x/HyeEMDGeiQFVjWl1zhi4rwfTHa05+/NIExC4L5YRNPjQ==",
+      "version": "0.7.0",
+      "resolved": "https://registry.npmjs.org/quibble/-/quibble-0.7.0.tgz",
+      "integrity": "sha512-uiqtYLo6p6vWR/G3Ltsg0NU1xw43RcNGadYP+d/DF3zLQTyOt8uC7L2mmcJ97au1QE1YdmCD+HVIIq/RGtkbWA==",
       "dependencies": {
         "lodash": "^4.17.21",
         "resolve": "^1.22.1"
@@ -6423,6 +6423,19 @@
         "node": ">= 4.0.0"
       }
     },
+    "node_modules/testdouble/node_modules/quibble": {
+      "version": "0.6.17",
+      "resolved": "https://registry.npmjs.org/quibble/-/quibble-0.6.17.tgz",
+      "integrity": "sha512-uybGnGrx1hAhBCmzmVny+ycKaS5F71+q+iWVzbf8x/HyeEMDGeiQFVjWl1zhi4rwfTHa05+/NIExC4L5YRNPjQ==",
+      "dev": true,
+      "dependencies": {
+        "lodash": "^4.17.21",
+        "resolve": "^1.22.1"
+      },
+      "engines": {
+        "node": ">= 0.14.0"
+      }
+    },
     "node_modules/text-table": {
       "version": "0.2.0",
       "resolved": "https://registry.npmjs.org/text-table/-/text-table-0.2.0.tgz",
@@ -11284,9 +11297,9 @@
       "dev": true
     },
     "quibble": {
-      "version": "0.6.17",
-      "resolved": "https://registry.npmjs.org/quibble/-/quibble-0.6.17.tgz",
-      "integrity": "sha512-uybGnGrx1hAhBCmzmVny+ycKaS5F71+q+iWVzbf8x/HyeEMDGeiQFVjWl1zhi4rwfTHa05+/NIExC4L5YRNPjQ==",
+      "version": "0.7.0",
+      "resolved": "https://registry.npmjs.org/quibble/-/quibble-0.7.0.tgz",
+      "integrity": "sha512-uiqtYLo6p6vWR/G3Ltsg0NU1xw43RcNGadYP+d/DF3zLQTyOt8uC7L2mmcJ97au1QE1YdmCD+HVIIq/RGtkbWA==",
       "requires": {
         "lodash": "^4.17.21",
         "resolve": "^1.22.1"
@@ -12016,6 +12029,18 @@
         "quibble": "^0.6.14",
         "stringify-object-es5": "^2.5.0",
         "theredoc": "^1.0.0"
+      },
+      "dependencies": {
+        "quibble": {
+          "version": "0.6.17",
+          "resolved": "https://registry.npmjs.org/quibble/-/quibble-0.6.17.tgz",
+          "integrity": "sha512-uybGnGrx1hAhBCmzmVny+ycKaS5F71+q+iWVzbf8x/HyeEMDGeiQFVjWl1zhi4rwfTHa05+/NIExC4L5YRNPjQ==",
+          "dev": true,
+          "requires": {
+            "lodash": "^4.17.21",
+            "resolve": "^1.22.1"
+          }
+        }
       }
     },
     "text-table": {
diff --git a/package.json b/package.json
index 1ff3f5b2..7845eb0f 100644
--- a/package.json
+++ b/package.json
@@ -95,7 +95,7 @@
   },
   "dependencies": {
     "lodash": "^4.17.21",
-    "quibble": "^0.6.17",
+    "quibble": "^0.7.0",
     "stringify-object-es5": "^2.5.0",
     "theredoc": "^1.0.0"
   },
diff --git a/test/safe-esm/replace.test.js b/test/safe-esm/replace.test.js
index 041c370f..ce997c6b 100644
--- a/test/safe-esm/replace.test.js
+++ b/test/safe-esm/replace.test.js
@@ -59,7 +59,7 @@ module.exports = {
         await require('../../notypescript/import-esm-car.js')()
         assert.fail('should have errored!')
       } catch (e) {
-        assert._isEqual(e.message.split("'")[0], 'Cannot find module ')
+        assert._isEqual(e.message.split("'")[0], 'ENOENT: no such file or directory, open ')
       }
     }
   }
